#version 130

uniform mat4 finalMatrix;

in vec3 inVertex;
in vec3 inNormal;
in vec2 inTexCoord;
out vec4 color;
out vec2 texCoord;

void main(void) 
{	
	gl_Position = finalMatrix * vec4(inVertex, 1.0);
	color = vec4(inNormal, 1.0);
	texCoord = inTexCoord;
}
